Package org.kapott.hbci.sepa.jaxb.pain_008_001_02

## Class FinancialInstitutionIdentificationSEPA3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_02.FinancialInstitutionIdentificationSEPA3

    public class FinancialInstitutionIdentificationSEPA3
    extends java.lang.Object

Java class for FinancialInstitutionIdentificationSEPA3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentificationSEPA3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="BIC" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}BICIdentifier"/>
               <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}OthrIdentification"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bic`
`protected OthrIdentification` `othr`

### Constructor Summary

Constructors
`FinancialInstitutionIdentificationSEPA3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBIC()` Gets the value of the bic property.
`OthrIdentification` `getOthr()` Gets the value of the othr property.
`void` `setBIC​(java.lang.String value)` Sets the value of the bic property.
`void` `setOthr​(OthrIdentification value)` Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bic

    protected java.lang.String bic

#### othr

    protected OthrIdentification othr

### Constructor Detail

#### FinancialInstitutionIdentificationSEPA3

    public FinancialInstitutionIdentificationSEPA3()

### Method Detail

#### getBIC

    public java.lang.String getBIC()

Gets the value of the bic property.

Returns:
  possible object is `String`

#### setBIC

    public void setBIC​(java.lang.String value)

Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public OthrIdentification getOthr()

Gets the value of the othr property.

Returns:
  possible object is `OthrIdentification`

#### setOthr

    public void setOthr​(OthrIdentification value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `OthrIdentification`